Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class CreateWebflowURLTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.CreateWebflowURLTag

Direct Known Subclasses:
  WebflowFormTag

public class CreateWebflowURLTag
extends javax.servlet.jsp.tagext.TagSupport

JSP Tag implementation for genrating the webflow urls in a JSP page.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `DEFAULT_HTTPSIND_VALUE_ELEMENT` String value used to get the default httpsInd value
`protected java.lang.String` | `domainName` Optional domain name
`protected java.lang.String` | `doRedirect`
`protected boolean` | `doRedirectBool` Perform a redirect as opposed to a forward - default false or as hidden paameters (false)
`protected java.lang.String` | `encode`
`protected boolean` | `encodeBool` Encode the URL for session support without cookies
`protected boolean` | `encodeValueSet`
`protected int` | `escape` Escape the URL
`protected java.lang.String` | `escapeStr`
`protected java.lang.String` | `event` The webflow event to transition to the next node
`protected java.lang.String` | `extraParams` Add additional parameters
`protected java.lang.String` | `httpsInd`
`protected int` | `httpsIndInt` Parse web.xml to determine if this resources needs https default `CALCULATE`.
`protected java.lang.String` | `namespace` The forwarding namespace of the event
`protected java.lang.String` | `origin` The origin of the event (typically the jsp file name)
`protected java.lang.String` | `pathPrefix` Prefix to the relative path information
`protected java.lang.String` | `pathSuffix` Append to the relative path information
`protected java.lang.String` | `resourceIdentifier` This parameter will only be used by derived classes that create webflow URLs for portal page changes.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`CreateWebflowURLTag()`

Method Summary
`int` | `doStartTag()` Look up the value and status in the http session and return them.
`java.lang.String` | `getCurrentNamespace()`
`java.lang.String` | `getDomainName()`
`java.lang.String` | `getDoRedirect()`
`java.lang.String` | `getEncode()`
`java.lang.String` | `getEscape()`
`java.lang.String` | `getEvent()` Get the value of event.
`java.lang.String` | `getExtraParams()`
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`java.lang.String` | `getHttpsInd()`
`java.lang.String` | `getJspName()`
`java.lang.String` | `getNamespace()` Get the value of namespace.
`java.lang.String` | `getOrigin()` Get the value of origin.
`java.lang.String` | `getPathPrefix()`
`java.lang.String` | `getPathSuffix()`
`void` | `release()` Release this tag.
`void` | `setDomainName(java.lang.String domainName)`
`void` | `setDoRedirect(java.lang.String doRedirect)`
`void` | `setEncode(java.lang.String encode)`
`void` | `setEscape(java.lang.String escape)`
`void` | `setEvent(java.lang.String event)` Set the value of event.
`void` | `setExtraParams(java.lang.String extraParams)`
`void` | `setHttpsInd(java.lang.String httpsInd)`
`void` | `setNamespace(java.lang.String namespace)` Set the value of namespace.
`void` | `setOrigin(java.lang.String origin)` Set the value of origin.
`void` | `setPathPrefix(java.lang.String pathPrefix)`
`void` | `setPathSuffix(java.lang.String pathSuffix)`
`protected void` | `setupHTTPS()`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespace

    protected java.lang.String namespace

  The forwarding namespace of the event

### origin

    protected java.lang.String origin

  The origin of the event (typically the jsp file name)

### event

    protected java.lang.String event

  The webflow event to transition to the next node

### pathPrefix

    protected java.lang.String pathPrefix

  Prefix to the relative path information

### pathSuffix

    protected java.lang.String pathSuffix

  Append to the relative path information

### domainName

    protected java.lang.String domainName

  Optional domain name

### extraParams

    protected java.lang.String extraParams

  Add additional parameters

### resourceIdentifier

    protected java.lang.String resourceIdentifier

  This parameter will only be used by derived classes that create webflow URLs for portal page changes. Putting it here is a bit of a hack but avoids us having to duplicate this classes doStartTag() method creating a potential maintaince issue.

### doRedirectBool

    protected boolean doRedirectBool

  Perform a redirect as opposed to a forward - default false or as hidden paameters (false)

### doRedirect

    protected java.lang.String doRedirect

### httpsIndInt

    protected int httpsIndInt

  Parse web.xml to determine if this resources needs https default `CALCULATE`. Can also be `HTTP` to use http or `HTTPS` to always use https

### httpsInd

    protected java.lang.String httpsInd

### encodeBool

    protected boolean encodeBool

  Encode the URL for session support without cookies

### encode

    protected java.lang.String encode

### encodeValueSet

    protected boolean encodeValueSet

### escape

    protected int escape

  Escape the URL

### escapeStr

    protected java.lang.String escapeStr

### DEFAULT_HTTPSIND_VALUE_ELEMENT

    protected java.lang.String DEFAULT_HTTPSIND_VALUE_ELEMENT

  String value used to get the default httpsInd value

Constructor Detail

### CreateWebflowURLTag

    public CreateWebflowURLTag()

Method Detail

### release

    public void release()

  Release this tag.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### setupHTTPS

    protected void setupHTTPS()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Look up the value and status in the http session and return them.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getNamespace

    public java.lang.String getNamespace()

  Get the value of namespace.

  Returns:
    Value of namespace.

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Set the value of namespace.

  Parameters:
    `namespace` - Value to assign to namespace.

### getOrigin

    public java.lang.String getOrigin()

  Get the value of origin.

  Returns:
    Value of origin.

### setOrigin

    public void setOrigin(java.lang.String origin)

  Set the value of origin.

  Parameters:
    `origin` - Value to assign to origin.

### getEvent

    public java.lang.String getEvent()

  Get the value of event.

  Returns:
    Value of event.

### setEvent

    public void setEvent(java.lang.String event)

  Set the value of event.

  Parameters:
    `event` - Value to assign to event.

### getPathSuffix

    public java.lang.String getPathSuffix()

### setPathSuffix

    public void setPathSuffix(java.lang.String pathSuffix)

### getPathPrefix

    public java.lang.String getPathPrefix()

### setPathPrefix

    public void setPathPrefix(java.lang.String pathPrefix)

### getDomainName

    public java.lang.String getDomainName()

### setDomainName

    public void setDomainName(java.lang.String domainName)

### getExtraParams

    public java.lang.String getExtraParams()

### setExtraParams

    public void setExtraParams(java.lang.String extraParams)

### getDoRedirect

    public java.lang.String getDoRedirect()

### setDoRedirect

    public void setDoRedirect(java.lang.String doRedirect)

### getHttpsInd

    public java.lang.String getHttpsInd()

### setHttpsInd

    public void setHttpsInd(java.lang.String httpsInd)

### getEncode

    public java.lang.String getEncode()

### setEncode

    public void setEncode(java.lang.String encode)

### getEscape

    public java.lang.String getEscape()

### setEscape

    public void setEscape(java.lang.String escape)

### getJspName

    public java.lang.String getJspName()

### getCurrentNamespace

    public java.lang.String getCurrentNamespace()

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved